/*
Theme Name: Portfolio
Description: Le thème de mon Portfolio
Author: Oriane Tourneroche
Author URI: https://www.oriane-tourneroche.fr
Version:  1.0
Template: twentytwentyfive
*/

.menu-mobile {
    display: none
}

footer {
    margin: 0px;
}

.wp-element-button, .wp-block-read-more {
    display: flex;
    align-items: center;
}

.wp-element-button:hover {
    background-color: #3a0672;
}

.wp-element-button::after, .wp-block-read-more::after {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  margin-left: 8px;
  vertical-align: middle;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none'><path d='M14.332 14.4941H12.3145V5.80762L3.41211 14.71L2 13.2969L10.7803 4.51758H2.33789V2.5H14.332V14.4941Z' fill='%23fdfdfd'/></svg>");
  background-size: contain;
  background-repeat: no-repeat;
}

.is-style-outline .wp-element-button::after, .wp-block-read-more::after {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none'><path d='M14.332 14.4941H12.3145V5.80762L3.41211 14.71L2 13.2969L10.7803 4.51758H2.33789V2.5H14.332V14.4941Z' fill='%230B1009'/></svg>");
}

.h-100 {
    height: 100%;
}

/*Home*/
.last-project li, .last-project img {
    height: 100%;
}

/*Page article*/
.tag-cloud-link {
    border-radius: 4px;
    padding: 4px 8px;
}

.tag-cloud-link:hover {
    background-color: #5e00c2;
    border: 1px solid #5e00c2;
    color: #fdfdfd;
}

.tag-link-position-2 {
    order: -1 !important;
}

.tag-link-position-3 {
    order: 0 !important;
}

.tag-link-position-1 {
    order: 3 !important;
}

.filter-all a:nth-child(2) {
    background-color: #5e00c2;
    border: 1px solid #5e00c2;
    color: #fdfdfd;
}

.filter-design a:nth-child(3) {
    background-color: #5e00c2;
    border: 1px solid #5e00c2;
    color: #fdfdfd;
}

.filter-integration a:nth-child(1) {
    background-color: #5e00c2;
    border: 1px solid #5e00c2;
    color: #fdfdfd;
}

.container-articles ul {
    display: flex !important;
    flex-wrap: wrap;
    column-gap: 24px;
    row-gap: 24px;
}

.container-articles ul li {
    width: calc(33% - 16px);
    justify-content: center;
    margin: 0px;
}

.ub_icon {
  position: absolute;
  bottom: 0px;
  right: 8px;
  z-index: 3;
}

video {
    border-radius: 24px;
}

.img-hover a:has(img) {
  display: block;            /* pour bien contenir l’image */
  overflow: hidden;          /* empêche le débordement au zoom */
  border-radius: 24px;       /* optionnel : arrondis */
}

.img-hover a img {
  object-fit: cover;
  transition: transform 0.4s ease;
  display: block;
}

.img-hover a:hover img {
  transform: scale(1.1);
}

.img-hover .last-project:hover img {
  transform: scale(1.1);
}

.bloc-link-absolute {
    position: absolute;
}

.last-project-title-btn {
    position: absolute;
    z-index: 4;
    bottom: 24px;
    left: 24px;
}

.last-project-title-btn a {
    background: none;
}

img {
  pointer-events: none;
}



/*CONTACT FORM*/
.contact-form .row {
  display: flex;
  gap: 1rem;
  margin-bottom: 24px;
}

.contact-form .col-6 {
  flex: 1;
}

.contact-form .row label, .contact-form .row span {
    display: block;
    width: 100%;
}

.contact-form .row input {
    width: calc(100% - 18px);
}

.bloc-textarea p {
    width: 100%;
}

.bloc-textarea textarea {
    width: calc(100% - 18px);
    margin-bottom: 24px;
}

.contact-form input, .contact-form textarea {
    background-color: #fdfdfd85;
    border: 1px solid #0B1009;
    border-radius: 8px;
    padding: 8px 8px;
    font-family: 'Manrope';
}

.btn-envoyer p {
    display: flex;
    gap: 16px;
}

.btn-envoyer input {
    background-color: #5e00c2;
    color: #fdfdfd;
    padding: 8px 16px;
    font-size: 16px;
    font-family: Manrope, sans-serif;
    font-weight: 500;
    border: none;
    border-radius: 50px;
    cursor: pointer;
}

.btn-envoyer input:hover {
    background-color: #3a0672;
}

.contact-form .required {
    display: flex !important;
}

.contact-form .required span {
    color: #CA2F25;
}

.contact-form label:has(.required) br {
    display: none;
}


/*RESPONSIVE*/
@media (max-width:767px) {
     .menu-desktop {
        display:none!important
    }

    .menu-mobile {
        display: block;
        background-color: var(--wp--preset--color--accent-3,#c8e5e0);
        border-radius: 24px;
        padding: 24px
    }

    .menu-mobile>div {
        display: flex;
        align-items: center;
        justify-content: space-between
    }
    
    .wp-block-navigation__responsive-container-open {
        color: black;
    }

    .menu-mobile .is-menu-open {
        background-color: #c8e5e0!important;
        color: #OB1009!important;
        margin: 16px 0 16px 16px;
        border-radius: 24px 0 0 24px;
        height: calc(100vh - 64px);
    }

    .menu-mobile span {
        font-size: 16px
    }
    
    .h1-home {
        font-size: 48px !important;
    }
    
    .container-articles ul li {
        width: 100%;
        justify-content: center;
        margin: 0px;
    }
    
    .contact-form .row {
        flex-direction: column;
    }
}